---
layout: article
title: Features
categories: [photon-server, getting_started]
tags: [how-to, quickstart]
---
{% include globals %}

Photon is a Realtime Socket-Server and Development Framework that is
fast, simple to use and flexible.

The server framework is written in C\# on top of a native Windows
application.\
 The Client API is available for multiple platforms, including DotNet,
Unity3D, C/C++, ObjC.

The Photon High-Level Architecture looks like this:

<figure>
<img src="{{ IMG }}/OnePager-Photon-Structure.png" />
<figcaption>Photon Architecture</figcaption>
</figure>

## Features

-   Native Core, highly optimized on Windows
-   Proven technology used in various commercial game titles
-   Responsive support by Exit Games
-   Server game logic development in C\#
-   Extensive framework solves common tasks for you
-   Simple and flexible mapping of RPC calls to Operation instances
-   Message passing through fibers solves many threading problems
-   Lite is provided as simple room-based game logic for easy
    prototyping
-   Simple deployment, including machines in a cloud
-   Designed to saturate bandwidth before the CPU becomes the bottleneck
-   Slim binary protocol makes UDP ordered and reliable-on-demand
-   Common client platforms are supported directly, providing similar
    workflow
-   Photon wraps up the networking layer of each client platform
-   Communicate cross platform
-   Put your data in Hashtables and send it: Forget about
    de-/serialization
-   ... and a lot of stuff we don't blow up into a "feature"

