---
layout: article
title: Secure Websockets Setup
categories: [photon-servers, references]
tags: [setup, how-to, installation, websockets, javascript, wss]
---
{% include globals %}

To allow your clients connecting your Photon Server using secure websockets with 'wss://...' please proceed as follows.

1. Add the certificate to the Windows certificate store.

2. Add these attributes to the WebSocket listener in the PhotonServer.config: 

<table>
    <thead>
        <tr>
            <th class="confluenceTh"> attribute </th>
            <th class="confluenceTh"> default value </th>
            <th class="confluenceTh"> description </th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="confluenceTd"> Secure </td>
            <td class="confluenceTd"> FALSE </td>
            <td class="confluenceTd"> True defines a listener is secured by ssl. </td>
        </tr>
        <tr>
            <td class="confluenceTd"> StoreName </td>
            <td class="confluenceTd"> MY </td>
            <td class="confluenceTd"> Name of store where certificate can be found. </td>
        </tr>
        <tr>
            <td class="confluenceTd"> CertificateName </td>
            <td class="confluenceTd">   Photon </td>
            <td class="confluenceTd"> Name of certificate to be used. </td>
        </tr>
        <tr>
            <td class="confluenceTd"> UseMachineStore </td>
            <td class="confluenceTd"> FALSE </td>
            <td class="confluenceTd"> Defines if Machinestore should be used. </td>
        </tr>
    </tbody>
</table>


Example Photon Server Configuration:

<pre class="code">
    <code class="brush: xml">
    
...
<WebSocketListeners>
    
    <!-- Web Sockets Listener with SSL -->
    <WebSocketListener
        IPAddress="0.0.0.0"
        Port="9091"
        DisableNagle="true"
        InactivityTimeout="10000"
        OverrideApplication="Lite"
        Secure = "true"
        StoreName = "My"
        CertificateName = "MyCustomCertificate"
        UseMachineStore = "false">      
    </WebSocketListener>
    
</WebSocketListeners>
...
    
    </code>
</pre>
