---
layout: article
title: Demo List
categories: [photon-cloud, photon-server, tutorials]
tags: [demo, sample]
---
{% include globals %}

The following diagram shows you the existing demos for Photon (including [Photon Server demos](http://doc-server.exitgames.com/)) and which
game logic each uses.

<figure>
<img src="{{ IMG }}/Demo-To-App-Diagram.png" />
<figcaption>Demos and used applications</figcaption>
</figure>

The Bootcamp Demo is available for download at the **[Unity Asset
Store](http://u3d.as/content/exit-games/photon-bootcamp-demo/1AA)**.

All three Server Applications are in the Server SDK, precompiled and as
source.

## Learning Trail

If you are new to Photon and or new to developing multiplayer games at
all, you should check out the demos in this order:

1.  **Hello World** [Tutorial](http://doc-server.exitgames.com/HelloWorldPart1/#cat-getting_started)
     Very simple, C\# and accompanied with a step by step tutorial. It
    includes a first server development step and because of that it's in
    the server SDK (soon).
2.  **Lite Lobby Chat** [Live Demo](http://doc-server.exitgames.com/LiteLobby_ChatDemoLive/#cat-tutorials)
    [Tutorial](http://doc-server.exitgames.com/LiteLobby_ChatDemo/#cat-tutorials)
     C\# in Unity. Simple and straightforward lobbies and chat.
3.  **Realtime** [Live Demo](http://doc-server.exitgames.com/Realtime_Demo_Live/#cat-tutorials)
     Exchanges positions and player info. Available in C\#, Unity, C,
    C++, objC, Android Java and Flash AS3.
4.  **Bootcamp**
     A complete FPS in Unity, C\#. A complex project with interpolation,
    position and animation updates.
5.  **MMO Win Grid** [Tutorial](http://doc-server.exitgames.com/DemoClientWinGrid/#cat-references)
     Written in C\# this small Window-based application lets you
    simulate many players and items in a World.
6.  **MMO Island** [Tutorial](http://doc-server.exitgames.com/UnityIslandDemo/#cat-references)
     Uses Unity's Island Demo to show how to handle large worlds with
    many items. The C\# code shares a common part with the server.

