---
layout: page
title: Introduction
categories: [photon-server]
tags: [comparison, quickstart]
---
{% include globals %}

Welcome to the <strong>Photon Server</strong> documentation. If you are looking for the Photon Cloud documentation, 
please go over [here](http://doc-cloud.exitgames.com).

This documentation is split into the following 3 topics, clicking on one of the following buttons will directly redirect you there. 
Alternatively you can choose the topic in the navigation on the right-hand side.

<div class="aC">
    <a href="/CloudOverview" class="button server mR">Getting Started</a>
    <a href="/Demo_List" class="button server mR">Tutorials</a>
    <a href="/WhatsInPhoton3" class="button server">References</a>
</div>

<p>
<figure>
<img style="border: none;" src="{{ IMG }}/pic_server.jpg" />
</figure>
</p>
If you are completely new to the world of Photon scroll down to the comparison chart below.
It will help you to understand the differences and what Photon product better suits your needs.

## Photon Cloud vs. Photon Server
<p>
<strong>Photon Cloud</strong> is a Software as a Service (SaaS) and so fully managed service. You can completely concentrate on your application client while
hosting, server operations and scaling is all taken care of in the Photon Cloud.
</p>

<p>
<strong>Photon Server</strong> is a On Premise (OnPrem) server application that you can run and host on 
machines of your choice. Fully customizable and the authorative control  gives you the freedom to configure 
and set up your own infrastructure for multiplayer enabled applications.
</p>

<table>
<thead>
    <tr>
        <th width="50%">Photon Cloud</th>
        <th width="50%">Photon Server</th>
    </tr>
</thead>

<tbody>
    <tr>
        <td>
            <b>Server Administration.</b>
            Zero server hassle anymore.
            Sit back and relax while our experts take care of running the servers.</td>
        <td>
            You gain full authority of running Photon for your applications.
            You run your own servers or rent fitting ones and make sure they are available for your users.
            Photon's logs and performance counters provide all necessary information about low level performance and stability.</td>
    </tr>

    <tr>
        <td>
            <b>Scalability.</b>
            The Photon Cloud scales automatically to accommodate all your users.
            Using our SDKs your client application is built for an efficient load-balancing workflow.</td>
        <td>
            Our Load-balancing Power-Up is available in source code.
            It is a solid foundation to scale across multiple servers.
            Running the right number of servers for your customers is your responsibility.</td>
    </tr>

    <tr>
        <td>
            <b>Licensing.</b>
            Choose what fits you best: ongoing subscriptions or pre-paid options.
            You get cloud hosting and rent Photon in one package.<br />
            <a href="http://cloud.exitgames.com/">Get your free trial here!</a></td>
        <td>
            Licenses are bought through the shop and provided as download.
            Cheaper licenses limit the number of concurrent users per server.
            Optionally, an Enterprise License is available for any number of servers upon request.</td>
    </tr>

    <tr>
        <td>
            <b>Game logic.</b>
            All custom logic takes place on the application client to allow a zero-hassle experience.</td>
        <td>
            The server's logic can be fully customized in C#.
            Several pre-defined applications are available as source and provide a high performance framework for your application.
            Benefit from our protocols and abstraction of low level functionality and add any feature you might be missing.</td>
    </tr>

    <tr>
        <td>
            <b>Start instantly.</b>
            Photon Cloud let's you register and immediately run your application.
            No setup needed. No server needed.</td>
        <td>
            Once downloaded, <a href="http://doc.exitgames.com/quickstart/photoninfiveminutes">start in less than in 5 Minutes</a>.
            Photon is easy to setup and runs locally as well as remote.</td>
    </tr>
</tbody>
</table>
